org.sqlite.core

## Class CoreDatabaseMetaData.PrimaryKeyFinder

- java.lang.Object
- - org.sqlite.core.CoreDatabaseMetaData.PrimaryKeyFinder

Enclosing class:
  CoreDatabaseMetaData

    public class CoreDatabaseMetaData.PrimaryKeyFinder
    extends Object

Parses the sqlite_master table for a table's primary key

### Constructor Summary

Constructors
Constructor and Description
`PrimaryKeyFinder(String table)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`String[]` `getColumns()`
`String` `getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PrimaryKeyFinder

    public PrimaryKeyFinder(String table)
                     throws SQLException

Constructor.

Parameters:
  `table` - The table for which to get find a primary key.
Throws:
  `SQLException`

### Method Detail

#### getName

    public String getName()

Returns:
  The primary key name if any.

#### getColumns

    public String[] getColumns()

Returns:
  Array of primary key column(s) if any.